#include <iostream>

using namespace std;

int main(void)
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    char c1, c2;
    int a1, a2;
    string res = "nemoguce";

    cin >> c1 >> c2 >> a1 >> a2;

    if(a1 - a2 > 1 || a1 - a2 < -1);
    else
    {
        res = "";
        
        for(int i = 0; i < a1; i++)
        {
            res += c1;
            res += c2;
        }

        if(a2 > a1)
            res = c2 + res;
        else if(a1 > a2)
            res += a1;
    }

    cout << res << "\n";

    return 0;
}